> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Project

> Soft-delete a project (ADR-0011). A project can only delete ITSELF (the
path id must match the authenticated project) and only with an admin key.
Auto-unbinds the project's Twilio numbers and sweeps its object storage,
then marks the project deleted — its keys stop working immediately.
IRREVERSIBLE for storage (recordings/KB files are purged).



## OpenAPI

````yaml /openapi.json delete /v1/projects/{project_id}
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/projects/{project_id}:
    delete:
      tags:
        - projects
      summary: Delete Project
      description: >-
        Soft-delete a project (ADR-0011). A project can only delete ITSELF (the

        path id must match the authenticated project) and only with an admin
        key.

        Auto-unbinds the project's Twilio numbers and sweeps its object storage,

        then marks the project deleted — its keys stop working immediately.

        IRREVERSIBLE for storage (recordings/KB files are purged).
      operationId: delete_project_v1_projects__project_id__delete
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Delete Project V1 Projects  Project Id  Delete
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````